package com.ruoyi.platform.mapper;
import com.ruoyi.platform.domain.DatasetTempStorage;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 数据集暂存的数据(DatasetTempStorage)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-12 09:42:09
 */
public interface DatasetTempStorageDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DatasetTempStorage queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param datasetTempStorage 查询条件
     * @param pageable           分页对象
     * @return 对象列表
     */
    List<DatasetTempStorage> queryAllByLimit(DatasetTempStorage datasetTempStorage, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param datasetTempStorage 查询条件
     * @return 总行数
     */
    long count(DatasetTempStorage datasetTempStorage);

    /**
     * 新增数据
     *
     * @param datasetTempStorage 实例对象
     * @return 影响行数
     */
    int insert(DatasetTempStorage datasetTempStorage);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<DatasetTempStorage> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<DatasetTempStorage> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<DatasetTempStorage> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<DatasetTempStorage> entities);

    /**
     * 修改数据
     *
     * @param datasetTempStorage 实例对象
     * @return 影响行数
     */
    int update(DatasetTempStorage datasetTempStorage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    DatasetTempStorage queryByDatasetTempStorage(DatasetTempStorage datasetTempStorage);

    DatasetTempStorage queryByInsId(@Param("insId") String insId);
}

